--- net/base/address_list.cc
+++ net/base/address_list.cc
@@ -11,6 +11,11 @@
 #endif
 #include <stdlib.h>
 
+#if defined(OS_FREEBSD)
+#include <netinet/in.h>
+#include <sys/socket.h>
+#endif
+
 #include "base/logging.h"
 
 namespace net {
diff --git net/base/cert_verifier.cc net/base/cert_verifier.cc
index 703ecfe..4e94133 100644
